Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# channel_invert
[Algorithms and Utility Functions]

## Detailed Description

Returns the inverse of a channel. result = max_value - x + min_value.

Example:

    // bits8 == uint8_t == unsigned char
    bits8 x=255;
    bits8 inv = channel_invert(x);
    assert(inv == 0);

## Functions

template<typename Channel>
channel_traits< Channel > ::value_type | channel_invert (Channel x)
| Default implementation. Provide overloads for performance.